@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&display=swap');

button, 
input[type="button"], 
input[type="submit"], 
input[type="reset"] {
    background: none;
    color: inherit;
    border: none;
    padding: 0;
    font: inherit;
    cursor: pointer;
    outline: inherit;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}
  
#a11y-toggle {
	position: fixed;
	left: 20px;
	bottom: 20px;
	background: #0000FF;
	color: #fff;
	border-radius: 50%;
	cursor: pointer;
	z-index: 9999;
	width: 45px;
	height: 45px;
	display: flex;
	align-items: center;
	justify-content: center;
}
#a11y-toggle i {
	display: flex;
	font-size: 32px;
}

#a11y-panel {
  position: fixed;
  left: 20px;
  bottom: 70px;
  width: 320px;
  background: #fff;
  border-radius: 14px;
  padding: 15px;
  display: none;
  box-shadow: 0 10px 30px rgba(0,0,0,0.3);
  animation: slideUp .3s ease;
  z-index: 99;
  font-family: "Poppins", sans-serif;
  font-size: 14px;
}

.a11y-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.a11y-header h3 {
	margin: 0;
	font-size: 16px;
	font-weight: 600;
}

.a11y-grid {
	display: grid;
	grid-template-columns: 1fr 1fr;
	gap: 10px;
	margin: 10px 0 20px;
	border-bottom: solid 1px #ccc;
	padding: 0 0 20px;
}

.a11y-grid button {
  padding: 10px;
  border-radius: 8px;
  border: none;
  background: #f2f2f2;
  cursor: pointer;
}

.a11y-control {
  margin-top: 10px;
}
.a11y-control {
	display: grid;
	grid-template-columns: 109px 24px 24px;
	gap: 5px;
}
.a11y-control button {
	background: var(--primary);
	width: 25px;
	height: 25px;
	font-size: 19px;
	line-height: 100%;
	color: #fff;
	border-radius: 3px;
}

.reset {
  margin-top: 15px;
  width: 100%;
  padding: 10px;
  background: red;
  color: #fff;
  border: none;
}

/* Effects */
.high-contrast, .high-contrast section 
{ background:#000 !important; color:#fff !important; }
.invert { filter: invert(1); }
.readable-font { font-family: Arial !important; }
.hide-images img { display:none !important; }
.highlight-links a { outline:2px solid red; }

/* Reading Mask */
#reading-mask {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  pointer-events: none;
  display: none;
  z-index: 9998;
}

/* Reading Guide */
#reading-guide {
  position: fixed;
  height: 3px;
  width: 100%;
  background: red;
  display: none;
  pointer-events: none;
}

@keyframes slideUp {
  from {transform: translateY(20px); opacity:0;}
  to {transform: translateY(0); opacity:1;}
}

/* Dark */
.high-contrast :is(#a11y-panel,.menu-box,.Honors-item,.footer,.accordion-header ) {
	background:#2A3335;
}

/* .high-contrast .h2-title,.high-contrast .h2-title span,.high-contrast .msg-box p,.high-contrast .history-text p,.high-contrast h2,.high-contrast h2 span{color:#fff !important;} */
.high-contrast :is( .h2-title,.h2-title span,.msg-box p,.history-text p,h2,h2 span) {
  color: #fff !important;
}

.high-contrast .a11y-grid button, .high-contrast header {background:#000;}
